Bug 850188 - Introduce new systemd-rpm macros in lighttpd spec file
Introduce new systemd-rpm macros in lighttpd spec file
Product: Fedora
Classification: Fedora
Component: lighttpd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
Depends On:
Blocks: 850016
  Show dependency treegraph
Reported: 2012-08-21 09:47 EDT by Lukáš Nykrýn
Modified: 2014-02-10 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-10 10:30:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
use systemd files on RHEL 7 (870 bytes, patch)
2014-02-07 23:02 EST, Ken Dreyer
no flags Details | Diff
remove rhel 4 support (2.89 KB, patch)
2014-02-07 23:02 EST, Ken Dreyer
no flags Details | Diff
follow latest systemd guidelines (1.89 KB, patch)
2014-02-07 23:03 EST, Ken Dreyer
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:47:04 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora End Of Life 2013-12-21 03:45:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora Admin XMLRPC Client 2014-02-05 11:31:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Ken Dreyer 2014-02-07 23:02:16 EST
Created attachment 860811 [details]
use systemd files on RHEL 7
Comment 4 Ken Dreyer 2014-02-07 23:02:39 EST
Created attachment 860812 [details]
remove rhel 4 support
Comment 5 Ken Dreyer 2014-02-07 23:03:00 EST
Created attachment 860813 [details]
follow latest systemd guidelines
Comment 6 Ken Dreyer 2014-02-07 23:06:44 EST
Hi Jon, I've attached three patches against master (Rawhide). Would you mind reviewing and applying these?

It's also really important that we get these into EPEL 7 as soon as possible so that lighttpd can use systemd there. Today I received a report from someone that the init.d script was broken for them on RHEL 7 beta, so I figured I'd go ahead and fix the package to use systemd instead. Since you just build lighttpd for EL7 two days ago, hopefully you're ok with making the switch now.

I've done local mockbuilds for F21 and F20 with all three patches, and it builds and runs fine in basic tests (on my Fedora 20 box).
Comment 7 Jon Ciesla 2014-02-10 10:30:24 EST
Applied, committed, and building for rawhide and epel7.  Thanks for your work on this!
Comment 8 Ken Dreyer 2014-02-10 20:14:36 EST
Thanks! With lighttpd-1.4.34-2.el7, the service starts fine on my test system. 

(I did have to set selinux into permissive mode, but that sounds like it can be handled in a separate bug, if I or anyone else is ever able to reproduce it reliably.)

Note You need to log in before you can comment on or make changes to this bug.